@property --angle {
    syntax: "<angle>";
    initial-value: 0deg;
    inherits: false;
  }
  
  :root {
    /* Content */
    --content-primary: #ffffff;
    --content-secondary: #c7c9cc;
    --content-tertiary: #d9d9d9;
    --content-brand: #c58de7;
    --color-inverse: #030203;
  
    /* Background */
    --bg-primary: #020202;
    --bg-secondary: #111012;
    --bg-tertiary: #24222e;
    --bg-brand: #c58de7;
    --bg-gray: #3d3d3d;
  
    /* Accent */
    --accent-pink: #d586e0;
    --accent-blue: #91a1fa;
    --accent-green: #77c0af;
    --accent-lime: #d1dc97;
    --accent-red: #e9a9b3;
  
    /* Gradient */
    --gradient-border: linear-gradient(90deg, #77c0af 6%, #d1dc97 14.84%, #e9a9b3 32.15%, #d586e0 65.79%, #91a1fa 84.58%);
    --gradient-background: linear-gradient(90deg, #d586e0 0%, #91a1fa 98.93%);
    --gradient-content: linear-gradient(90deg, #c7c9cc 0%, #3d3d3d 100%);
  
    /* Font Styles */
    --display-large: 800 4.5rem / 1.3 "Sora", sans-serif;
    --display-medium: 800 2.5rem / 1.3 "Sora", sans-serif;
    --display-small: 700 2rem / 1.3 "Sora", sans-serif;
    --overline: 700 1rem / 1.5 "Roboto Mono", monospace;
    --paragraph-large: 500 1rem / 1.5 "Roboto Flex", sans-serif;
    --paragraph-medium: 500 0.875rem / 1.5 "Roboto Flex", sans-serif;
    --paragraph-small: 500 0.75rem / 1.5 "Roboto Flex", sans-serif;
    --label-medium: 700 1.25rem / 1.5 "Roboto Flex", sans-serif;
    --label-small: 700 1rem / 1.5 "Roboto Flex", sans-serif;
  }
  
  html {
    box-sizing: border-box;
    height: 100%;
  }
  
  body {
    margin: auto auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5.625rem;
    max-width: 1098px;
    background: linear-gradient(180deg, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0.6)), url(assets/Linha-1x.png);
    background-color: #000;
  }
  
  .logo {
    margin-top: 4.75rem;
    width: 172px;
    height: 38px;
  }
  
  .container {
    display: flex;
    align-items: center;
    justify-content: left;
    gap: 6.75rem;
    max-width: 1098px;
  }
  
  .questions-mobile {
    display: none;
  }
  
  .app-info header {
    max-width: 510px;
    min-width: 510px;
    margin-bottom: 2.25rem;
  }
  
  .app-info header p {
    font: var(--overline);
    background-image: var(--gradient-content);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    margin-bottom: .75rem;
  }
  
  .app-info header h1 {
    font: var(--display-large);
    color: var(--content-primary);
  }
  
  .questions-desktop {
    max-width: 380px;
    display: flex;
    flex-direction: column;
    gap: 2.25rem;
  }
  
  .question-item {
    display: flex;
  }
  
  .question-title img {
    width: 1.25rem;
    height: 1.25rem;
    margin-right: .5rem;
  }
  
  .question {
    font: var(--paragraph-medium);
    color: var(--content-brand);
  }
  
  .answer {
    font: var(--paragraph-small);
    color: var(--content-secondary);
  }
  
  .app-form {
    max-width: 482px;
    box-sizing: border-box;
  }
  
  .btn-reset {
    all: unset;
    position: relative;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .5rem;
    background-color: var(--bg-tertiary);
    border-radius: .5rem;
    width: 350px;
    font: var(--label-small);
    color: var(--content-primary);
    padding: 1rem 1rem;
    cursor: pointer;
    margin-top: 2.5rem;
    transition: background-color .4s ease;
  }
  
  .btn-reset::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    translate: -50% -50%;
    border-radius: 8px;
    background-image: conic-gradient(
      from var(--angle),
      #77c0af 6%,
      #d1dc97 14.84%,
      #e9a9b3 32.15%,
      #d586e0 65.79%,
      #91a1fa 84.58%,
      #77c0af 100%
    );
    z-index: -1;
    padding: 2px;
    opacity: 0;
    animation: 3s spin linear infinite;
    transition: opacity .4s ease;
  }
  
  .btn-reset:hover {
    background-color: var(--bg-secondary);
  }
  
  .btn-reset:hover::before {
    opacity: 1;
  }
  
  .title-wrap {
    display: flex;
    flex-direction: column;
    gap: .125rem;
    margin-bottom: 2.5rem;
  }
  
  .form-title {
    font: var(--label-medium);
    color: var(--content-primary);
  }
  
  .form-sub {
    font: var(--paragraph-large);
    color: var(--content-secondary);
  }
  
  .form-fields {
    display: flex;
    gap: 1.25rem;
    margin-bottom: 1.25rem;
  }
  
  .input-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: .5rem;
  }
  
  .input-item input::-webkit-outer-spin-button,
  .input-item input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
  
  .input-item label {
    font: var(--label-medium);
    color: var(--content-secondary);
    transition: color .3s ease-in-out;
  }
  
  .wrapper:focus-within + label {
    color: var(--content-brand);
  }
  
  .wrapper:hover + label {
    color: var(--content-brand);
  }
  
  .wrapper {
    position: relative;
    width: 105px;
    max-width: 105px;
    height: 56px;
    border-radius: .5rem;
  }
  
  .wrapper::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    translate: -50% -50%;
    border-radius: 8px;
    background-image: conic-gradient(
      from var(--angle),
      #77c0af 6%,
      #d1dc97 14.84%,
      #e9a9b3 32.15%,
      #d586e0 65.79%,
      #91a1fa 84.58%,
      #77c0af 100%
    );
    z-index: -1;
    padding: 1.5px;
    opacity: 0;
    animation: 3s spin linear infinite;
    transition: opacity .4s ease;
  }
  
  .wrapper:hover::before {
    opacity: 1;
  }
  
  .wrapper:focus-within::before {
    padding: 2px;
    opacity: 1;
  }
  
  .input-item input {
    all: unset;
    position: relative;
    width: 105px;
    max-width: 105px;
    height: 56px;
    border-radius: .5rem;
    background-color: var(--bg-secondary);
    text-align: center;
    font: var(--display-small);
    color: var(--content-primary);
    transition: background-color .4s ease;
  }
  
  .input-item input:hover {
    background-color: var(--bg-tertiary);
  }
  
  .toggle-switch {
    display: flex;
    align-items: center;
    gap: .5rem;
    margin-bottom: 2.5rem;
  }
  
  .toggle-switch p {
    font: var(--paragraph-small);
    color: var(--content-primary);
  }
  
  .switch {
    position: relative;
    display: inline-block;
    width: 30px;
    height: 20px;
  }
  
  .switch input {
    opacity: 0;
    width: 0;
    height: 0;
  }
  
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--content-tertiary);
    transition: 0.4s;
    border-radius: 34px;
  }
  
  .slider:before {
    content: "";
    position: absolute;
    height: 14px;
    width: 14px;
    border-radius: 50%;
    left: 4px;
    bottom: 3px;
    background-color: var(--content-primary);
    transition: 0.4s;
  }
  
  input:checked + .slider {
    background: var(--gradient-background);
  }
  
  input:checked + .slider:before {
    transform: translateX(8px);
  }
  
  .btn-submit {
    all: unset;
    position: relative;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .5rem;
    background-color: var(--bg-tertiary);
    border-radius: .5rem;
    width: 100%;
    font: var(--label-small);
    color: var(--content-primary);
    padding: 1rem 1rem;
    cursor: pointer;
    transition: background-color .4s ease;
  }
  
  .btn-submit::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    translate: -50% -50%;
    border-radius: 8px;
    background-image: conic-gradient(
      from var(--angle),
      #77c0af 6%,
      #d1dc97 14.84%,
      #e9a9b3 32.15%,
      #d586e0 65.79%,
      #91a1fa 84.58%,
      #77c0af 100%
    );
    z-index: -1;
    padding: 2px;
    opacity: 0;
    animation: 3s spin linear infinite;
    transition: opacity .4s ease;
  }
  
  .btn-submit:hover {
    background-color: var(--bg-secondary);
  }
  
  .btn-submit:hover::before {
    opacity: 1;
  }

  .result {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
  }
  
  .result h2 {
    font: var(--label-medium);
    color: var(--content-primary);
  }
  
  .result span {
    display: flex;
    font: var(--overline);
    color: var(--content-secondary);
    margin-top: .5rem;
    align-items: center;
    justify-content: center;
    text-align: center;
  }
  
  .result p {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-top: 2.5rem;
  }  

  /* Add new styles for the number squares */
.number-square {
  background: var(--accent-pink);
  border-radius: 1.5rem;
  width: 5rem;
  height: 5rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font: var(--display-medium);
  color: var(--color-inverse);
  margin: 0.5rem;
  transform: rotate(0deg);
  animation: appear 0.5s ease-out, rotate 2s ease-in-out;
  perspective: 1000px;
}

.number-square::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: var(--accent-pink);
  border-radius: 1.5rem;
  transform: rotateY(180deg);
  backface-visibility: hidden;
  transition: transform 1s;
}

.number-square.reveal::before {
  transform: rotateY(180deg);
}

.number-square span {
  opacity: 0;
  transition: opacity 0.3s;
}

.number-square.reveal span {
  opacity: 1;
}

@keyframes appear {
  from {
    opacity: 0;
    transform: scale(0.5) rotate(180deg);
  }
  to {
    opacity: 1;
    transform: scale(1) rotate(180deg);
  }
}

@keyframes rotate {
  0% {
    transform: rotate(360deg);
  }
  50% {
    transform: rotate(360deg);
  }
  100% {
    transform: rotate(0);
  }
}

  @media (max-width: 1100px) {
    body {
      box-sizing: border-box;
      flex-direction: column;
      align-items: center;
      padding: 1.5rem;
      gap: 1rem;
    }
  
    .logo {
      margin-top: 1rem;
    }
  
    .container {
      flex-direction: column;
      align-items: flex-start;
      justify-content: left;
      gap: 1rem;
    }
  
    .app-info header {
      max-width: 300px;
      min-width: 300px;
      margin-bottom: 1rem;
    }
  
    .app-info header h1 {
      font: var(--display-medium);
    }
  
    .questions-desktop {
      display: none;
    }
  
    .questions-mobile {
      margin-top: 1.5rem;
      max-width: 380px;
      display: flex;
      flex-direction: column;
      gap: 2.25rem;
    }
  }
  
  